Bug 1265178 - win 2008 R2 guest responsed slowly after migration
win 2008 R2 guest responsed slowly after migration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks: 1401400
  Show dependency treegraph
 
Reported: 2015-09-22 06:15 EDT by jingzhao
Modified: 2017-05-18 04:14 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-18 04:14:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
guestcpu.png (28.75 KB, image/png)
2015-09-22 06:15 EDT, jingzhao
no flags Details

  None (edit)
Description jingzhao 2015-09-22 06:15:34 EDT
Created attachment 1075760 [details]
guestcpu.png

Description of problem:
win 2008 R2 guest responsed slowly after migration

Version-Release number of selected component (if applicable):
Guest: win2008 R2
Host kernel:3.10.0-316.el7.x86_64
qemu-kvm-rhev-2.3.0-23.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot vm in src host with cli:
/usr/libexec/qemu-kvm \
-M pc \
-cpu IvyBridge,hv_relaxed,hv_vapic,hv_spinlocks=0x1fff \
-nodefaults -rtc base=utc -no-hpet \
-m 4G \
-smp 2,sockets=2,cores=1,threads=1 \
-enable-kvm \
-name rhel7.2 \
-uuid 990ea161-6b67-47b2-b803-19fb01d30d12 \
-smbios type=1,manufacturer='Red Hat',product='RHEV Hypervisor',version=el6,serial=koTUXQrb,uuid=feebc8fd-f8b0-4e75-abc3-e63fcdb67170 \
-k en-us \
-monitor stdio \
-qmp tcp:0:6661,server,nowait \
-boot menu=on \
-bios /usr/share/seabios/bios.bin \
-serial unix:/tmp/serial0,server,nowait \
-vga cirrus \
-vnc :0 \
-netdev tap,id=hostnet0,vhost=on,queues=4 \
-device virtio-net-pci,netdev=hostnet0,id=net0,mac=e6:d7:8d:53:28:6c,bus=pci.0,addr=0x3,vectors=10,mq=on \
-chardev socket,id=seabios,path=/tmp/seabios,server,nowait \
-device isa-debugcon,chardev=seabios,iobase=0x402 \
-usb \
-device usb-tablet,id=tablet0 \
-object iothread,id=iothread0 \
-drive file=/mnt/win8r2/win8r2.raw,if=none,id=drive-virtio-disk0,format=raw,cache=none,werror=stop,rerror=stop \
-device virtio-blk-pci,bus=pci.0,id=drive-virtio-disk0,drive=drive-virtio-disk0,bootindex=1,iothread=iothread0 \
-drive file=/mnt/win8r2/en_windows_server_2008_r2_standard_enterprise_datacenter_and_web_with_sp1_x64_dvd_617601.iso,if=none,media=cdrom,id=drive-ide0,format=raw \
-device ide-drive,bus=ide.0,unit=0,drive=drive-ide0,id=ide0,bootindex=0 \
-drive file=/usr/share/virtio-win/virtio-win.iso,if=none,media=cdrom,id=drive-ide1,format=raw \
-device ide-drive,bus=ide.0,unit=1,drive=drive-ide1,id=ide1 \

2. boot vm in dest host with cli:
/usr/libexec/qemu-kvm \
-M pc \
-cpu IvyBridge,hv_relaxed,hv_vapic,hv_spinlocks=0x1fff \
-nodefaults -rtc base=utc -no-hpet \
-m 4G \
-smp 2,sockets=2,cores=1,threads=1 \
-enable-kvm \
-name rhel7.2 \
-uuid 990ea161-6b67-47b2-b803-19fb01d30d12 \
-smbios type=1,manufacturer='Red Hat',product='RHEV Hypervisor',version=el6,serial=koTUXQrb,uuid=feebc8fd-f8b0-4e75-abc3-e63fcdb67170 \
-k en-us \
-monitor stdio \
-qmp tcp:0:6661,server,nowait \
-boot menu=on \
-bios /usr/share/seabios/bios.bin \
-serial unix:/tmp/serial0,server,nowait \
-vga cirrus \
-vnc :0  \
-netdev tap,id=hostnet0,vhost=on,fds=20:21:22:23 20<>/dev/tap5 21<>/dev/tap5 22<>/dev/tap5 23<>/dev/tap5 \
-device virtio-net-pci,netdev=hostnet0,id=net0,mac=e6:d7:8d:53:28:6c,bus=pci.0,addr=0x3,vectors=10,mq=on \
-chardev socket,id=seabios,path=/tmp/seabios,server,nowait \
-device isa-debugcon,chardev=seabios,iobase=0x402 \
-usb \
-device usb-tablet,id=tablet0 \
-object iothread,id=iothread0 \
-drive file=/mnt/win8r2/win8r2.raw,if=none,id=drive-virtio-disk0,format=raw,cache=none,werror=stop,rerror=stop \
-device virtio-blk-pci,bus=pci.0,id=drive-virtio-disk0,drive=drive-virtio-disk0,bootindex=1,iothread=iothread0 \
-drive file=/mnt/win8r2/en_windows_server_2008_r2_standard_enterprise_datacenter_and_web_with_sp1_x64_dvd_617601.iso,if=none,media=cdrom,id=drive-ide0,format=raw \
-device ide-drive,bus=ide.0,unit=0,drive=drive-ide0,id=ide0,bootindex=0 \
-drive file=/usr/share/virtio-win/virtio-win.iso,if=none,media=cdrom,id=drive-ide1,format=raw \
-device ide-drive,bus=ide.0,unit=1,drive=drive-ide1,id=ide1 \
-incoming tcp:0:5800 \

3. migrate -d tcp:destip:5800 

Actual results:
Guest responsed slowly, please check the attachment of guestcpu.png

Expected results:
Guest responsed timely and can operated quickly

Additional info:
Guest can work correctly when system_reset
Comment 1 jingzhao 2015-09-22 06:20:42 EDT
Reproduced with following option
1. Without netdev and reproduced with above steps, the issue also occurs
2. Without dataplane and reproduced with above steps, the issue also occurs
Comment 2 Karen Noel 2015-09-25 17:27:48 EDT
Does this problem also happen with other Windows server guests, or just Win2012 R2?

Do we suspect this is a Windows guest issue or something on the host virt stack. It was filed against qemu-kvm-rhev, so it seems like QE thinks it's the virt stack. Please confirm. Thanks!
Comment 4 jingzhao 2015-10-09 02:16:43 EDT
(In reply to Karen Noel from comment #2)
> Does this problem also happen with other Windows server guests, or just
> Win2012 R2?
> 
> Do we suspect this is a Windows guest issue or something on the host virt
> stack. It was filed against qemu-kvm-rhev, so it seems like QE thinks it's
> the virt stack. Please confirm. Thanks!

---This problem didn't happen with windows 2012 R2

Note You need to log in before you can comment on or make changes to this bug.